## intel-media-driver-non-free 23.1.0+ds1

=== CMakeLists.txt ===
# Copyright (c) 2017-2022, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.

cmake_minimum_required(VERSION 3.5)
project(IntelMediaDriver)

set(MEDIA_VERSION "23.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

include(os_release_info.cmake)

get_os_release_info(os_name os_version)

if(NOT DEFINED CMAKE_INSTALL_PREFIX OR CMAKE_INSTALL_PREFIX STREQUAL "")
    set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "..." FORCE)
endif()
message(STATUS "CMAKE_INSTALL_PREFIX = ${CMAKE_INSTALL_PREFIX}")

if("${os_name}" STREQUAL "clear-linux-os")
    # clear-linux-os distribution avoids /etc for distribution defaults.
    # Set this variable explicitly before including GNUInstallDirs.
    set(CMAKE_INSTALL_SYSCONFDIR "usr/share/defaults/etc")
endif()

include(CMakeDependentOption)

option (ENABLE_KERNELS "Build driver with shaders (kernels) support" ON)
# ENABLE_NONFREE_KERNELS option permits to enable closed source EU shaders (kernels)
# additionally to open source EU shaders and fixed function hardware.
cmake_dependent_option( ENABLE_NONFREE_KERNELS
    "Use closed source pre-built  binary shaders (kernels)" ON
    "ENABLE_KERNELS" OFF)
cmake_dependent_option( BUILD_KERNELS
    "Rebuild shaders (kernels) from sources" OFF
    "ENABLE_KERNELS;NOT ENABLE_NONFREE_KERNELS" OFF)
option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)

option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)

include(GNUInstallDirs)

if (BUILD_CMRTLIB AND NOT CMAKE_WDDM_LINUX)
    add_subdirectory(cmrtlib)
endif()

if (BUILD_KERNELS)
    find_program(IGA iga64)
    if (NOT IGA)
        message(FATAL_ERROR "Failed to find IGA")
    endif()

    find_program(CMC cmc)
    if (NOT CMC)
        message(FATAL_ERROR "Failed to find CMC")
    endif()

    find_program(PYTHON python)
    if (NOT PYTHON)
        message(FATAL_ERROR "Failed to find PYTHON")
    endif()

    add_subdirectory(Tools/MediaDriverTools)
endif()

add_subdirectory(media_driver)

if("${LIBVA_DRIVERS_PATH}" STREQUAL "")
    set(LIBVA_DRIVERS_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/dri/")
endif()
message(STATUS "LIBVA_DRIVERS_PATH = ${LIBVA_DRIVERS_PATH}")

install (PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/media_driver/iHD_drv_video.so DESTINATION ${LIBVA_DRIVERS_PATH} COMPONENT media)

option (INSTALL_DRIVER_SYSCONF "Install driver system configuration file" OFF)
if (INSTALL_DRIVER_SYSCONF)
    configure_file (
        ${CMAKE_CURRENT_SOURCE_DIR}/media_driver/cmake/linux/intel-media.sh.in
        ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/media_driver/cmake/linux/intel-media.sh
        DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/profile.d/ COMPONENT media)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/pack_ext.cmake OPTIONAL)

if (NOT MEDIA_PACKING)
    set(CPACK_GENERATOR "DEB" "RPM")
else()
    set(CPACK_GENERATOR ${MEDIA_PACKAGING})
endif()
set(CPACK_PACKAGE_NAME "intel-media")
set(CPACK_PACKAGE_VENDOR "Intel")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "intel-media Open Source Driver")
set(CPACK_RPM_PACKAGE_ARCHITECTURE "x86_64")
set(CPACK_RPM_PACKAGE_GROUP "System Environment/Libraries")
set(CPACK_RPM_PACKAGE_LICENSE "Intel")

set(CPACK_PACKAGE_VERSION ${MEDIA_VERSION})

set(CPACK_DEBIAN_PACKAGE_MAINTAINER "Intel")

# Create Distro OS initial based on 1st-2nd letter of string
# or label "generic" for unsupported/unknown distros for CPACK_PACKAGE_FILE_NAME
if("${os_name}" STREQUAL "ubuntu")
    set(DISTRO_INFO "u${os_version}")
elseif("${os_name}" STREQUAL "fedora")
    set(DISTRO_INFO "f${os_version}")
elseif("${os_name}" STREQUAL "clear-linux-os")
    set(DISTRO_INFO "cl${os_version}")
elseif("${os_name}" STREQUAL "centos")
    set(DISTRO_INFO "ce${os_version}")
else()
    set(DISTRO_INFO "generic")
endif()

# Format Package Version and Build Type Strings for CPACK_PACKAGE_FILE_NAME
string(TOLOWER "${BUILD_TYPE}.${CPACK_RPM_PACKAGE_ARCHITECTURE}" PACKAGE_TYPE)

set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}-${DISTRO_INFO}-${PACKAGE_TYPE}")

include(CPack)

=== debian/changelog ===
intel-media-driver-non-free (23.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 23.1.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 23:09:08 +0100

intel-media-driver-non-free (22.6.6+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.6+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Jan 2023 15:15:17 +0100

intel-media-driver-non-free (22.6.5+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.5+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 05 Jan 2023 14:12:15 +0100

intel-media-driver-non-free (22.6.4+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.4+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Dec 2022 23:10:41 +0100

intel-media-driver-non-free (22.6.3+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Nov 2022 22:47:58 +0100

intel-media-driver-non-free (22.6.1+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2022 19:43:43 +0100

intel-media-driver-non-free (22.6.0+ds1-1) unstable; urgency=medium

  * New upstream version 22.6.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Oct 2022 11:49:49 +0200

intel-media-driver-non-free (22.5.4+ds1-1) unstable; urgency=medium

  * New upstream version 22.5.4+ds1
  * debian/patches: Drop patches integrated upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Oct 2022 19:03:04 +0200

intel-media-driver-non-free (22.5.3+ds1-2) unstable; urgency=medium

  * debian/patches: Apply upstream fix for i386 FTBFS (Closes: #1020521)
  * debian/rules:
    - Disable -Werror
    - Set ARCH

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 Sep 2022 23:38:40 +0200

## intel-media-driver-non-free 23.1.1+ds1

=== media_driver/linux/ult/ult_app/CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
cmake_minimum_required(VERSION 3.1)

project(devult)

add_subdirectory(googletest)

set(agnostic_cm_tests ../../../agnostic/ult/cm)

set(INTERNAL_INC_PATH
    ../inc
    ./cm
    ./googletest/include
    ./gpu_cmd
    ${agnostic_cm_tests}
    ../../../linux/common/cp/shared
)
include_directories(${INTERNAL_INC_PATH} ${LIBVA_PATH})
if (NOT "${BS_DIR_GMMLIB}" STREQUAL "")
    include_directories(${BS_DIR_GMMLIB}/inc)
endif ()
if (NOT "${BS_DIR_INC}" STREQUAL "")
   include_directories(${BS_DIR_INC} ${BS_DIR_INC}/common)
endif ()

aux_source_directory(. SOURCES)
aux_source_directory(./cm SOURCES)
aux_source_directory(${agnostic_cm_tests} SOURCES)
if (ENABLE_NONFREE_KERNELS)
    aux_source_directory(./gpu_cmd SOURCES)
    set(SOURCES
        ${SOURCES}
        ../../../agnostic/gen9_bxt/hw/vdbox/mhw_vdbox_mfx_hwcmd_g9_bxt.cpp
        ../../../agnostic/gen9_skl/hw/vdbox/mhw_vdbox_mfx_hwcmd_g9_skl.cpp
        ../../../agnostic/gen10/hw/vdbox/mhw_vdbox_mfx_hwcmd_g10_X.cpp
        ../../../agnostic/gen10/hw/vdbox/mhw_vdbox_hcp_hwcmd_g10_X.cpp
    )
else ()
    set(SOURCES
        ${SOURCES}
        ${CMAKE_CURRENT_LIST_DIR}/gpu_cmd/gpu_cmd_factory.cpp
    )
endif ()

add_executable(devult ${SOURCES})
target_link_libraries(devult libgtest libdl.so)
target_include_directories(devult BEFORE PRIVATE
    ${SOFTLET_MOS_PREPEND_INCLUDE_DIRS_}
    ${MOS_PUBLIC_INCLUDE_DIRS_}     ${SOFTLET_MOS_PUBLIC_INCLUDE_DIRS_}
    ${COMMON_PRIVATE_INCLUDE_DIRS_} ${SOFTLET_COMMON_PRIVATE_INCLUDE_DIRS_}
    ${VP_PRIVATE_INCLUDE_DIRS_}     ${SOFTLET_VP_PRIVATE_INCLUDE_DIRS_}
    ${COMMON_CP_DIRECTORIES_}
    ${SOFTLET_DDI_PUBLIC_INCLUDE_DIRS_}
)
if (DEFINED BYPASS_MEDIA_ULT AND "${BYPASS_MEDIA_ULT}" STREQUAL "yes")
    # must explictly pass along BYPASS_MEDIA_ULT as yes then could bypass the running of media ult
    message("-- media -- BYPASS_MEDIA_ULT = ${BYPASS_MEDIA_ULT}")
else ()
    if (ENABLE_NONFREE_KERNELS)
        add_custom_target(RunULT ALL DEPENDS ${LIB_NAME} devult)

        add_custom_command(
            TARGET RunULT
            POST_BUILD
            COMMAND LD_PRELOAD=../libdrm_mock/libdrm_mock.so ./devult ../../../${LIB_NAME}.so
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            COMMENT "Running devult...")
        endif ()
endif ()

=== debian/changelog ===
intel-media-driver-non-free (23.1.1+ds1-1) unstable; urgency=medium

  * New upstream version 23.1.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 18 Feb 2023 13:50:55 +0100

=== debian/control ===
Source: intel-media-driver-non-free
Section: non-free/video
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-libva,
 cmake,
 libdrm-dev,
 libigdgmm-dev (>= 21.1.1),
 libva-dev (>= 2.12),
 libx11-dev,
 pkg-config,
Standards-Version: 4.6.2
Homepage: https://github.com/intel/media-driver
Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git
XS-Autobuild: yes
Rules-Requires-Root: no

Package: intel-media-va-driver-non-free
Architecture: amd64 i386 x32
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 va-driver
Conflicts:
 intel-media-va-driver
Description: VAAPI driver for the Intel GEN8+ Graphics family
 The VA-API (Video Acceleration API) enables hardware accelerated video
 decode/encode at various entry-points (VLD, IDCT, Motion Compensation
 etc.) for the prevailing coding standards today (MPEG-2, MPEG-4
 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/WMV3). It provides an interface
 to fully expose the video decode capabilities in today's GPUs.
 .
 This package contains the video decode and encode driver backend for the
 Intel HD Graphics of the Intel Core processor family. The supported platforms
 include:
  * Broadwell
  * Skylake
  * Broxton
  * Apollo Lake
  * Kaby Lake
  * Coffee Lake
  * Whiskey Lake
  * Cannon Lake
  * Ice Lake

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=future=+lfs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DINSTALL_DRIVER_SYSCONF=OFF \
		-DENABLE_KERNELS=ON \
		-DENABLE_NONFREE_KERNELS=ON \
		-DBUILD_CMRTLIB=OFF \
		-DARCH=$(DEB_HOST_ARCH_BITS) \
		-DMEDIA_BUILD_FATAL_WARNINGS=OFF

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
endif

## intel-media-driver-non-free 23.1.2+ds1

=== debian/changelog ===
intel-media-driver-non-free (23.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 23.1.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Mar 2023 21:39:25 +0100

## intel-media-driver-non-free 23.2.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,12 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
+set(MEDIA_VERSION "23.2.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
-set(MEDIA_VERSION "23.1.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+
+
+
+
 
 include(os_release_info.cmake)
 
@@ -52,6 +56,7 @@
 option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)
 
 option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)
+option (ENABLE_XE_KMD "Enable XE KMD header files" ON)
 
 include(GNUInstallDirs)

=== debian/changelog ===
intel-media-driver-non-free (23.2.3+ds1-1) unstable; urgency=medium

  * New upstream version 23.2.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jul 2023 18:08:32 +0200

## intel-media-driver-non-free 24.1.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (24.1.0+ds1-1ubuntu0.2) noble; urgency=medium

  * debian/patches: Add patch for TWL support (LP: #2138258)
    - d/p/0003-Decode-Add-DeviceIDs-for-ADLN-Refresh.patch

 -- Shane McKee <shane.mckee@canonical.com>  Mon, 12 Jan 2026 15:22:28 -0800

intel-media-driver-non-free (24.1.0+ds1-1ubuntu0.1) noble; urgency=medium

  * Fix hardware encode/decode for Intel Arrowlake iGPU (LP: #2116923)
    - d/p/lp-2116923-Decode-Add-device-ID-for-ARL.patch

 -- Shane McKee <shane.mckee@canonical.com>  Tue, 03 Feb 2026 06:26:02 -0800

intel-media-driver-non-free (24.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 24.1.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Dec 2023 21:02:54 +0100

intel-media-driver-non-free (23.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 23.4.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 10 Dec 2023 00:16:34 +0100

intel-media-driver-non-free (23.3.5+ds1-1) unstable; urgency=medium

  * New upstream version 23.3.5+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Oct 2023 21:51:28 +0200

intel-media-driver-non-free (23.3.4+ds1-1) unstable; urgency=medium

  * New upstream version 23.3.4+ds1
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Oct 2023 23:09:40 +0200

intel-media-driver-non-free (23.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 23.3.2+ds1
  * debian/: Build with ninja

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Sep 2023 20:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -12,6 +13,7 @@
  libigdgmm-dev (>= 21.1.1),
  libva-dev (>= 2.12),
  libx11-dev,
+ ninja-build,
  pkg-config,
 Standards-Version: 4.6.2
 Homepage: https://github.com/intel/media-driver

## intel-media-driver-non-free 24.2.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -14,8 +13,8 @@
  libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git

## intel-media-driver-non-free 24.2.2+ds1

=== debian/changelog ===
intel-media-driver-non-free (24.2.2+ds1-1) unstable; urgency=medium

  * New upstream version 24.2.2+ds1
  * debian/copyright: Bump copyright years
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 May 2024 18:04:23 +0200

## intel-media-driver-non-free 24.3.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "23.2.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "24.3.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
 
 
 
@@ -56,7 +56,6 @@
 option (BUILD_CMRTLIB "Build and Install cmrtlib together with media driver" ON)
 
 option (ENABLE_PRODUCTION_KMD "Enable Production KMD header files" OFF)
-option (ENABLE_XE_KMD "Enable XE KMD header files" ON)
 
 include(GNUInstallDirs)

=== debian/changelog ===
intel-media-driver-non-free (24.3.2+ds1-1) unstable; urgency=medium

  * New upstream version 24.3.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Sep 2024 18:28:38 +0200

intel-media-driver-non-free (24.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 24.3.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 10 Aug 2024 09:54:32 +0200

intel-media-driver-non-free (24.2.5+ds1-1) unstable; urgency=medium

  * New upstream version 24.2.5+ds1
  * debian/control: Bump libigdgmm-dev to 22.4.1 for new constants

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Jul 2024 12:27:24 +0200

## intel-media-driver-non-free 24.3.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "24.3.2${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "24.3.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver-non-free (24.3.4+ds1-0ubuntu1) oracular; urgency=medium

  * New upstream version. (LP: #2082015)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Sep 2024 17:15:15 +0300

## intel-media-driver-non-free 24.4.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "24.3.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "24.4.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver-non-free (24.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 24.4.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Oct 2024 12:36:54 +0200

## intel-media-driver-non-free 25.1.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (25.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 25.1.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Jan 2025 21:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 21.1.1),
+ libigdgmm-dev (>= 22.4.1),
  libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git

## intel-media-driver-non-free 25.1.2+ds1

=== debian/changelog ===
intel-media-driver-non-free (25.1.2+ds1-1ubuntu2) plucky; urgency=medium

  * Backport patch to add Battlemage PCI ID 0xE211 (LP: #2106038) 

 -- Shane McKee <shane.mckee@canonical.com>  Thu, 03 Apr 2025 16:43:09 +0400

intel-media-driver-non-free (25.1.2+ds1-1ubuntu1) plucky; urgency=medium

  * Backport patches to add BMG PCI IDS (LP: #2104011)

 -- Shane McKee <shane.mckee@canonical.com>  Tue, 25 Mar 2025 22:23:00 +0800

intel-media-driver-non-free (25.1.2+ds1-1) unstable; urgency=medium

  * New upstream version 25.1.2+ds1
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 28 Feb 2025 21:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -14,7 +15,7 @@
  libx11-dev,
  ninja-build,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free
 Vcs-Git: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS=future=+lfs
 
 %:
-	dh $@
+	dh $@ -Scmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## intel-media-driver-non-free 25.1.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "24.4.0${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.1.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver-non-free (25.1.3+ds1-1) unstable; urgency=medium

  * New upstream version 25.1.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Mar 2025 19:28:12 +0100

## intel-media-driver-non-free 25.1.4

=== debian/changelog ===
intel-media-driver-non-free (25.1.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.1.4
  * d/p: drop patches already merged.
    - 0006-Change-RGB-mask-and-order-for-BMG.patch
    - 0007-VP-Fix-GST-VA-Video-output-of-Color-conversion-UYVY-.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 27 Mar 2025 18:22:30 +0800

intel-media-driver-non-free (24.4.4-1ppa1~noble2) noble; urgency=medium

  * d/p: Add BMG-E NX1 and NX2 device id.
    - 0007-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 06 Feb 2025 09:08:37 +0800

intel-media-driver-non-free (24.4.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 24.4.4

  * debian/control: updated libigdgmm-dev 22.4.1 -> 22.5.5
  * debian/patches: rework a list of patches
    - 0001-Integrate-unit-tests-in-cmake-s-test-framework.patch
    - 0002-Remove-settings-based-on-ARCH.patch
    - 0003-Force-ARGB-surface-to-tile4-for-ACM.patch
    - 0004-Fix-failed-4k-videowalll-test-case-and-color-corrupt.patch
    - 0005-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch
    - 0006-Change-RGB-mask-and-order-for-BMG.patch

  * debian/patches: drop list of patches already merged
    - 0006-Change-RGB-mask-and-order.patch
    - 0007-Encode-Add-Y210-caps-for-BMG-HEVC-encode.patch

  * debian/patches: Fixed UVYV to RGB32 color corruption issue.
    - 0007-VP-Fix-GST-VA-Video-output-of-Color-conversion-UYVY-.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Tue, 07 Jan 2025 15:12:29 +0800

intel-media-driver-non-free (24.4.1-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Fix BMG vapostproc RGB CSC
    - 0008-VP-Change-RGB-mask-and-order-for-BMG.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Tue, 26 Nov 2024 15:37:27 +0800

intel-media-driver-non-free (24.4.1-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Add Y210 caps for BMG HEVC encode
  - 0007-Encode-Add-Y210-caps-for-BMG-HEVC-encode.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 04 Nov 2024 17:28:28 +0800

intel-media-driver-non-free (24.4.1-1ppa1~noble1) noble; urgency=medium

  *  Bump to 24.4.1

  * d/patches: rework a patches
    - 0005-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch

  * d/patches: drop list of patches already merged.
    - 0001-Media-Common-VP-report-user-setting.patch
    - 0001-Set-Scanout-by-default.patch

  * d/patches: drop and replace with upstream solution fixed.
    - drop: 0001-Revert-VP-fourcc-format-mismatch.patch
    - replace: 0006-Change-RGB-mask-and-order.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 30 Oct 2024 10:10:07 +0800

intel-media-driver-non-free (24.3.2-1ppa1~noble4) noble; urgency=medium

  * debian/patches: Fix ACM multi-channel AVC encode performance degradation
  - 0001-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Fri, 25 Oct 2024 14:08:41 +0800

intel-media-driver-non-free (24.3.2-1ppa1~noble3) noble; urgency=medium

  * d/patches: to get vapostproc CSC working for RGB related
    color format.
    - 0001-Revert-VP-fourcc-format-mismatch.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Wed, 09 Oct 2024 14:46:17 +0800

intel-media-driver-non-free (24.3.2-1ppa1~noble2) noble; urgency=medium

  * debian/patches: [Media Common] report user setting
    - 0001-Media-Common-VP-report-user-setting.patch

 -- Chen, Angus <angus.chen@intel.com>  Thu, 19 Sep 2024 09:49:57 +0000

intel-media-driver-non-free (24.3.2-1ppa1~noble1) noble; urgency=medium

  * bump to 24.3.2
  * d/p: rebased list of patches
    - 0001-Integrate-unit-tests-in-cmake-s-test-framework.patch
    - 0002-Remove-settings-based-on-ARCH.patch
    - 0003-Force-ARGB-surface-to-tile4-for-ACM.patch
    - 0004-Fix-failed-4k-videowalll-test-case-and-color-corrupt.patch
  * d/p: drop a list of patches already merged or no longer needed.
    - 0001-Add-ACM-new-DIDs.patch
    - 0001-Disable-vp9-padding-on-mtl.patch
    - 0001-Fix-BGRx-AVC-HEVC-Enc-for-g12.patch
    - 0001-VP-Fix-4K-monitor-failed-to-run-videowall-4k-on-mult.patch
    - 0003-Force-enable-MTL-Media-CCS-by-default.patch
    - 0004-Add-new-ARL-device-id.patch
    - 0005-Add-XR24-support-to-DMABuf.patch
    - 0005-Fix-BGRx-AVC-HEVC-Enc-for-g12.patch
    - 0006-Fix-4K-monitor-failed-to-run-videowall-4k-on-multi-c.patch
    - 0006-add-INTEL-MEDIA-ALLOC-refineE-to-specify-the-memory-.patch
    - 0007-Add-ACM-new-DIDs.patch
    - 0007-Skip-report-keys.patch
    - 0008-Limit-INTEL-MEDIA-ALLOC-MODE-to-MTL-and-ARL-only.patch
    - 0009-Skip-cache-bucket-realloc-for-default-mode-0.patch
    - 0010-Fix-failed-4k-video-wall-test-case-and-color-corrupt.patch
    - 0011-Disable-422H-format-output.patch
    - 0012-Decode-Fix-AVC-decode-SFC-4K-hang-issue.patch
    - 0013-VP-Fix-failed-4k-video-wall-test-case-and-color.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Fri, 06 Sep 2024 13:37:52 +0800 

intel-media-driver-non-free (24.1.5-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Set Scanout by default
    - 0001-Set-Scanout-by-default.patch

 -- Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>  Mon, 5 Aug 2024 16:31:03 +0800

intel-media-driver-non-free (24.1.5-1ppa1~noble1) noble; urgency=medium

  * bump to 24.1.5.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Wed, 08 May 2024 14:18:05 +0800

intel-media-driver-non-free (23.4.3-1ppa1~noble1) noble; urgency=medium

  * build for ubuntu 24.04.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Thu, 18 Apr 2024 10:32:31 +0800

intel-media-driver-non-free (23.4.3-1ppa1~jammy4) jammy; urgency=medium

  * debian/patches: Add new DG2 device id
    - 0001-Add-ACM-new-DIDs.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 01 Apr 2024 10:35:15 +0800

intel-media-driver-non-free (23.4.3-1ppa1~jammy3) jammy; urgency=medium

  * d/patches: Fixed failed run sample_multi_transcode regression issue.
    - 0001-VP-Fix-4K-monitor-failed-to-run-videowall-4k-on-mult.patch



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: intel-media-driver-non-free
 Section: non-free/video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
@@ -10,11 +9,11 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 22.4.1),
- libva-dev (>= 2.12),
+ libigdgmm-dev (>= 22.5.5),
+ libva-dev (>= 2.13),
  libx11-dev,
  ninja-build,
- pkgconf,
+ pkg-config,
 Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,10 @@
 	# Requires Broadwell or newer, so check for SSE 4.2 support at least.
 	if grep -q sse4_2 /proc/cpuinfo && grep -q GenuineIntel /proc/cpuinfo; then dh_auto_test; fi
 endif
+
+override_dh_auto_install:
+	install -d debian/intel-media-va-driver-non-free/etc
+	install -m 644 debian/local/igfx_user_feature_next.txt debian/intel-media-va-driver-non-free/etc/igfx_user_feature_next.txt
+	install -m 644 debian/local/igfx_user_feature.txt debian/intel-media-va-driver-non-free/etc/igfx_user_feature.txt
+	dh_auto_install
+

## intel-media-driver-non-free 25.1.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "25.1.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.1.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver-non-free (25.1.4+ds1-1) unstable; urgency=medium

  * New upstream version 25.1.4+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 02 Apr 2025 21:59:41 +0200

## intel-media-driver-non-free 25.2.3+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "25.1.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.2.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== media_driver/linux/ult/ult_app/googletest/CMakeLists.txt ===
# Copyright (c) 2018, Intel Corporation
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
# OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
cmake_minimum_required(VERSION 2.8)

project(devult)

set(INC_PATH ./include ./)
include_directories(${INC_PATH})

set(SOURCES ./src/gtest-all.cc ./src/gtest_main.cc)
add_library(libgtest ${SOURCES})
target_link_libraries(libgtest pthread)

=== debian/changelog ===
intel-media-driver-non-free (25.2.3+ds1-1) unstable; urgency=medium

  * New upstream version 25.2.3+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 23 May 2025 18:50:57 +0200

intel-media-driver-non-free (25.2.1+ds1-1) unstable; urgency=medium

  * New upstream version 25.2.1+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Apr 2025 16:33:19 +0200

## intel-media-driver-non-free 25.2.6

=== debian/changelog ===
intel-media-driver-non-free (25.2.6-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Update PTL/WCL caps
    - 0014-Decode-update-linux-WCL-decode-caps-not-report-VVC.patch
    - 0015-Encode-PDVT-SH-Remove-PTL-AV1-444-Caps.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Wed, 24 Sep 2025 18:08:59 +0800

intel-media-driver-non-free (25.2.6-1ppa1~noble2) noble; urgency=medium

  * Add fixed for VDI on XE/i915 kernel
    -0012-accept-cacheable-setting-from-libva.patch
    -0013-Mark-the-imported-dmabuf-as-cacheable-in-Media-Libva.patch

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Wed, 03 Sep 2025 16:24:19 +0800

intel-media-driver-non-free (25.2.6-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.2.6

  *d/p: drop patches already merged 
    -0001-VP-Add-Stateful-Surface-for-bti-remove.patch
    -0002-Encode-PDVT-SH-Upstream-cmds-update-and-build-error-.patch
    -0004-VP-Change-Stateless-Buffer-to-AddResourceToCmd.patch
    -0005-Encode-PDVT-SH-upstream-encode-hal-files-for-PTL.patch
    -0006-PDVT-SH-Upstream-Update-AV1-Encode-Caps.patch
    -0007-Encode-PDVT-SH-Update-media-interface-for-PTL.patch
    -0001-Encode-Fix-unchecked-reture-coverity-issue.patch
    -0001-Encode-PDVT-SH-Fix-av1-open-source-failure.patch

  *d/p: rebased patches
    -0002-Decode-Fix-MHW-interface-for-AVC-10-decode.patch


 -- Mustaffa, Mustamin B <mustamin.b.mustaffa@intel.com>  Fri, 22 Aug 2025 11:28:21 +0800

intel-media-driver-non-free (25.2.3-1ppa1~noble4) noble; urgency=medium

  * debian/patches: Add HEVC 422 encode for MTL/ARL
    - 0001-Encode-Add-YUY2-and-Y210-caps-for-MTL-ARL-HEVC-encod.patch
  * debian/patches: Fix ACM gstreamer-va HEVC 422 CBR/VBR encode
    - 0001-Encode-Fix-ACM-HEVC-VDENC-422-CBR-VBR.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Mon, 11 Aug 2025 20:36:57 +0800

intel-media-driver-non-free (25.2.3-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Fix AV1 encode failure
    - 0001-Encode-PDVT-SH-Fix-av1-open-source-failure.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Thu, 03 Jul 2025 23:47:31 +0800

intel-media-driver-non-free (25.2.3-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Add AVC 10b decode for PTL
    - 0001-Decode-Add-AVC-10-Bit-decode.patch
    - 0002-Decode-Fix-MHW-interface-for-AVC-10-decode.patch

 -- Cheah, Vincent Beng Keat  <vincent.beng.keat.cheah@intel.com>  Mon, 23 Jun 2025 13:57:48 +0800

intel-media-driver-non-free (25.2.3-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.2.3

  * d/p: drop patches already merged
    - 0007-Add-BMG-E-NEX1-and-NEX2-Device-ID.patch
    - 0010-Upstream-BMG-DevID-upstream.patch

  * d/p: add list of patches for PTL media
    - 0001-VP-Add-Stateful-Surface-for-bti-remove.patch
    - 0002-Encode-PDVT-SH-Upstream-cmds-update-and-build-error-.patch
    - 0004-VP-Change-Stateless-Buffer-to-AddResourceToCmd.patch
    - 0005-Encode-PDVT-SH-upstream-encode-hal-files-for-PTL.patch
    - 0006-PDVT-SH-Upstream-Update-AV1-Encode-Caps.patch
    - 0007-Encode-PDVT-SH-Update-media-interface-for-PTL.patch
    - 0001-Encode-Fix-unchecked-reture-coverity-issue.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Thu, 05 Jun 2025 16:17:16 +0800

intel-media-driver-non-free (25.1.4-1ppa1~noble4) noble; urgency=medium

  * debian/patches: [Upstream] BMG DevID upstream
    - 0010-Upstream-BMG-DevID-upstream.patch

 -- Abd Razak, Muhammad Azizul Hazim <muhammad.azizul.hazim.abd.razak@intel.com>  Tue, 20 May 2025 17:06:26 +0800

intel-media-driver-non-free (25.1.4-1ppa1~noble3) noble; urgency=medium

  * debian/patches: Disable Xe3_Lpm VD-SFC
    - 0009-Decode-Disable-Xe3_Lpm-VD-SFC.patch

 -- Cheah, Vincent Beng Keat  <vincent.beng.keat.cheah@intel.com>  Fri, 16 May 2025 14:25:40 +0800

intel-media-driver-non-free (25.1.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: [Media Common] Add profile & entrypoint check
    - 0008-Media-Common-Add-profile-entrypoint-check.patch

 -- Abd Razak, Muhammad Azizul Hazim <muhammad.azizul.hazim.abd.razak@intel.com>  Thu, 08 May 2025 14:37:40 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  cmake,
  libdrm-dev,
  libigdgmm-dev (>= 22.5.5),
- libva-dev (>= 2.13),
+ libva-dev (>= 2.22.0-1ppa1~noble2),
  libx11-dev,
  ninja-build,
  pkg-config,

## intel-media-driver-non-free 25.3.0+ds1

=== debian/changelog ===
intel-media-driver-non-free (25.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 25.3.0+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Jul 2025 22:11:57 +0200

## intel-media-driver-non-free 25.3.4

=== debian/changelog ===
intel-media-driver-non-free (25.3.4-1ppa1~noble4) noble; urgency=medium

  * intel/patches: Fix MTL/ARL HEVC 422 encode performance
    - 0013-Media-Common-Set-Cacheable-flag-from-params.patch

 -- Hoe, Sheng Yang <sheng.yang.hoe@intel.com>  Tue, 18 Nov 2025 14:45:06 +0800

intel-media-driver-non-free (25.3.4-1ppa1~noble3) noble; urgency=medium

  * intel/patches: Add AVC 10b decode for WCL
    -0012-Decode-Add-AVC-10-Bit-decode-for-WCL.patch 

 -- Fan, Daniel Chun Yin <daniel.chun.yin.fan@intel.com>  Thu, 06 Nov 2025 17:42:11 +0800

intel-media-driver-non-free (25.3.4-1ppa1~noble2) noble; urgency=medium

  * debian/patches: Restructure for upstream tracking

 -- Yep, Mun Chun <mun.chun.yep@intel.com>  Thu, 23 Oct 2025 11:55:37 +0800

intel-media-driver-non-free (25.3.4-1ppa1~noble1) noble; urgency=medium

  * Bump to 25.3.4

  *d/p: drop patches already merged
    -0012-accept-cacheable-setting-from-libva.patch
    -0014-Decode-update-linux-WCL-decode-caps-not-report-VVC.patch

 -- Mustamin Bin Mustaffa <mustamin.b.mustaffa@intel.com>  Fri, 17 Oct 2025 15:33:44 +0800

intel-media-driver-non-free (25.2.6-1ppa1~noble4) noble; urgency=medium

  * debian/p: drop patches already merged.
   - 0005-Fix-ACM-multi-channel-AVC-encode-performance-degrada.patch

 -- Lim, Siew Hoon <siew.hoon.lim@intel.com>  Mon, 13 Oct 2025 15:45:12 +0800

## intel-media-driver-non-free 25.3.4%2Bds1

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  dh-sequence-libva,
  cmake,
  libdrm-dev,
- libigdgmm-dev (>= 22.5.5),
- libva-dev (>= 2.22.0-1ppa1~noble2),
+ libigdgmm-dev (>= 22.4.1),
+ libva-dev (>= 2.12),
  libx11-dev,
  ninja-build,
- pkg-config,
+ pkgconf,
 Standards-Version: 4.7.2
 Homepage: https://github.com/intel/media-driver
 Vcs-Browser: https://salsa.debian.org/multimedia-team/intel-media-driver-non-free

## intel-media-driver-non-free 25.3.4+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 project(IntelMediaDriver)
-set(MEDIA_VERSION "25.2.3${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)
+set(MEDIA_VERSION "25.3.4${MEDIA_VERSION_EXTRA}" CACHE STRING "" FORCE)

=== debian/changelog ===
intel-media-driver-non-free (25.3.4+ds1-1) unstable; urgency=medium

  * New upstream version 25.3.4+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 22 Sep 2025 22:16:35 +0200

## intel-media-driver-non-free 25.4.2%2Bds1

=== debian/changelog ===
intel-media-driver-non-free (25.4.2+ds1-1) unstable; urgency=medium

  * New upstream version 25.4.2+ds1

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Nov 2025 20:57:52 +0100

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+ds1" \
   https://github.com/intel/media-driver/tags \
   (?:.*?/)intel-media[-_]?(?!600\.0)(\d[\-+\.:\~\d]*)\.tar\.gz
